diff --git a/templates/defaultfilters/datetime.cpp b/templates/defaultfilters/datetime.cpp
index c61a437d1d1e58cabe7ab3f206c87676fb522d7d..6af55b9141600a5345989b89b45fcf1878e74679 100644
--- a/templates/defaultfilters/datetime.cpp
+++ b/templates/defaultfilters/datetime.cpp
@@ -20,7 +20,7 @@
 
 #include "datetime.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QDateTime>
 
diff --git a/templates/defaultfilters/integers.cpp b/templates/defaultfilters/integers.cpp
index a859f17d7484bb050d49df5ae4a3acff68e91658..5a5e6d28ffbe38ca75d5fd429d5fe55f171d6117 100644
--- a/templates/defaultfilters/integers.cpp
+++ b/templates/defaultfilters/integers.cpp
@@ -20,7 +20,7 @@
 
 #include "integers.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 QVariant AddFilter::doFilter(const QVariant &input, const QVariant &argument,
                              bool autoescape) const
diff --git a/templates/defaultfilters/lists.cpp b/templates/defaultfilters/lists.cpp
index 2b5d9e767c183ceaeedd914c55f86829aef71831..5d7bc730f0c2bdfb2547dc66f6972df8d557c0c8 100644
--- a/templates/defaultfilters/lists.cpp
+++ b/templates/defaultfilters/lists.cpp
@@ -21,7 +21,7 @@
 #include "lists.h"
 
 #include "metatype.h"
-#include "util.h"
+#include "../lib/util.h"
 #include "variable.h"
 
 #include <QtCore/QDateTime>
diff --git a/templates/defaultfilters/logic.cpp b/templates/defaultfilters/logic.cpp
index af9f2a616f1d95396a9fc558627528a26b104cff..eb41735d0b8563fa8558882654bea402039f3a4d 100644
--- a/templates/defaultfilters/logic.cpp
+++ b/templates/defaultfilters/logic.cpp
@@ -20,7 +20,7 @@
 
 #include "logic.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 QVariant DefaultFilter::doFilter(const QVariant &input,
                                  const QVariant &argument,
diff --git a/templates/defaultfilters/stringfilters.cpp b/templates/defaultfilters/stringfilters.cpp
index 0a6ff0c8a5c7393e7d7b69d5a1c1dbea2473a6ce..836c76f012bc566cde0cc1afaa18cae46c24c382 100644
--- a/templates/defaultfilters/stringfilters.cpp
+++ b/templates/defaultfilters/stringfilters.cpp
@@ -20,7 +20,7 @@
 
 #include "stringfilters.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QRegularExpression>
 #include <QtCore/QVariant>
diff --git a/templates/defaulttags/autoescape.cpp b/templates/defaulttags/autoescape.cpp
index 2b25743caa8f742f2033eb459e290d449bda509a..5d67b4ab63c2860892e932882b422788bc733164 100644
--- a/templates/defaulttags/autoescape.cpp
+++ b/templates/defaulttags/autoescape.cpp
@@ -23,7 +23,7 @@
 #include "exception.h"
 #include "parser.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QFile>
 
diff --git a/templates/defaulttags/cycle.cpp b/templates/defaulttags/cycle.cpp
index f5cd7ce9be190855eb53e00efcd10ffe1738272a..5ec5c4ddfbd9a6654da7714cc30237c6a8114a52 100644
--- a/templates/defaulttags/cycle.cpp
+++ b/templates/defaulttags/cycle.cpp
@@ -23,7 +23,7 @@
 #include "../lib/exception.h"
 #include "parser.h"
 #include "rendercontext.h"
-#include "util.h"
+#include "../lib/util.h"
 
 static const char _namedCycleNodes[] = "_namedCycleNodes";
 
diff --git a/templates/defaulttags/filtertag.cpp b/templates/defaulttags/filtertag.cpp
index 191d1aafba8bb218a5c566238a15f43e29447b3e..897a47de5222e30a10ffa50e4ed03fb32be60667 100644
--- a/templates/defaulttags/filtertag.cpp
+++ b/templates/defaulttags/filtertag.cpp
@@ -23,7 +23,7 @@
 #include "../lib/exception.h"
 #include "filterexpression.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 FilterNodeFactory::FilterNodeFactory() {}
 
diff --git a/templates/defaulttags/firstof.cpp b/templates/defaulttags/firstof.cpp
index c37cbd204d648f9e5e24d8c65b7e5765eace2ff5..819256eb9a853a1bce554f32db6efc349c880eab 100644
--- a/templates/defaulttags/firstof.cpp
+++ b/templates/defaulttags/firstof.cpp
@@ -22,7 +22,7 @@
 
 #include "../lib/exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 FirstOfNodeFactory::FirstOfNodeFactory() {}
 
diff --git a/templates/defaulttags/ifequal.cpp b/templates/defaulttags/ifequal.cpp
index bbb89b9cfa43ffd8dd99238a049d379eeec96c2f..958b8b8bb7083bb4d94e360ca3ac20c654a4c915 100644
--- a/templates/defaulttags/ifequal.cpp
+++ b/templates/defaulttags/ifequal.cpp
@@ -22,7 +22,7 @@
 
 #include "../lib/exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 IfEqualNodeFactory::IfEqualNodeFactory() {}
 
diff --git a/templates/defaulttags/mediafinder.cpp b/templates/defaulttags/mediafinder.cpp
index f78663a02187dd61e4d574681888a2b0fddb9099..87998ae8743f4ed9bc01312f5e47cf96ddfcb428 100644
--- a/templates/defaulttags/mediafinder.cpp
+++ b/templates/defaulttags/mediafinder.cpp
@@ -23,7 +23,7 @@
 #include "engine.h"
 #include "exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QUrl>
 
diff --git a/templates/defaulttags/range.cpp b/templates/defaulttags/range.cpp
index ef02fe8b5d3c1842bf187db48a4c715e38077f40..1c7cfe489f9e4ca093082149936f8b8b754bde0f 100644
--- a/templates/defaulttags/range.cpp
+++ b/templates/defaulttags/range.cpp
@@ -23,7 +23,7 @@
 #include "engine.h"
 #include "exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 RangeNodeFactory::RangeNodeFactory() {}
 
diff --git a/templates/defaulttags/regroup.cpp b/templates/defaulttags/regroup.cpp
index ac3436cdcd6a9f70875ca33f38031483d4d59b87..318f6c36b859bf530499f5de53f81607234faaa4 100644
--- a/templates/defaulttags/regroup.cpp
+++ b/templates/defaulttags/regroup.cpp
@@ -22,7 +22,7 @@
 
 #include "../lib/exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 RegroupNodeFactory::RegroupNodeFactory() {}
 
diff --git a/templates/defaulttags/spaceless.cpp b/templates/defaulttags/spaceless.cpp
index 271c5ba2abd76ce3b13301d112fb045831734e78..67c00cae8178feed482a9cdcdaa77d85054d818b 100644
--- a/templates/defaulttags/spaceless.cpp
+++ b/templates/defaulttags/spaceless.cpp
@@ -23,7 +23,7 @@
 #include <QtCore/QRegularExpression>
 
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 SpacelessNodeFactory::SpacelessNodeFactory() {}
 
diff --git a/templates/i18n/l10n_money.cpp b/templates/i18n/l10n_money.cpp
index 088bd89b1c8443238699975615147960c4a85504..71c8407cadca9491a37a97993d9ad773d44ef845 100644
--- a/templates/i18n/l10n_money.cpp
+++ b/templates/i18n/l10n_money.cpp
@@ -25,7 +25,7 @@
 #include "exception.h"
 #include "parser.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 L10nMoneyNodeFactory::L10nMoneyNodeFactory() {}
 
diff --git a/templates/loadertags/block.cpp b/templates/loadertags/block.cpp
index ad3bbadf7314495858d63b3dc91e8a532ef68b3c..dde7543b2183fe162474c6e14b57175ba6a334ce 100644
--- a/templates/loadertags/block.cpp
+++ b/templates/loadertags/block.cpp
@@ -25,7 +25,7 @@
 #include "parser.h"
 #include "rendercontext.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 static const char *const __loadedBlocks = "__loadedBlocks";
 
diff --git a/templates/loadertags/extends.cpp b/templates/loadertags/extends.cpp
index 236a18fa8baf957a71aab9370b81b8ca488ef950..1cc37e6b93fafdb65bab14ccc4466ab39b39a272 100644
--- a/templates/loadertags/extends.cpp
+++ b/templates/loadertags/extends.cpp
@@ -28,7 +28,7 @@
 #include "parser.h"
 #include "rendercontext.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QListIterator>
 
diff --git a/templates/loadertags/include.cpp b/templates/loadertags/include.cpp
index f606dff764f3ac55f489c3c529b22b636ecdcbbd..8817a35a7381c82fb3ce0e906bbfd9448fbb3205 100644
--- a/templates/loadertags/include.cpp
+++ b/templates/loadertags/include.cpp
@@ -24,7 +24,7 @@
 #include "exception.h"
 #include "parser.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 IncludeNodeFactory::IncludeNodeFactory() {}
 
diff --git a/templates/scriptabletags/scriptablefilter.cpp b/templates/scriptabletags/scriptablefilter.cpp
index 108cfa2fedc02276f8ca20d41e047d9ea35aa05e..93a7a9a388708f8e6fa2281bf4b818577ffa06ec 100644
--- a/templates/scriptabletags/scriptablefilter.cpp
+++ b/templates/scriptabletags/scriptablefilter.cpp
@@ -21,7 +21,7 @@
 #include "scriptablefilter.h"
 #include "scriptablesafestring.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtScript/QScriptEngine>
 
diff --git a/templates/scriptabletags/scriptablefilterexpression.cpp b/templates/scriptabletags/scriptablefilterexpression.cpp
index e21ec8ef61db725047347aab93febff0624a4e52..faacc187fbe22bf4ed62fa3539be53fba44be97f 100644
--- a/templates/scriptabletags/scriptablefilterexpression.cpp
+++ b/templates/scriptabletags/scriptablefilterexpression.cpp
@@ -25,7 +25,7 @@
 #include "parser.h"
 #include "scriptablecontext.h"
 #include "scriptablesafestring.h"
-#include "util.h"
+#include "../lib/util.h"
 
 using namespace Grantlee;
 
diff --git a/templates/scriptabletags/scriptablesafestring.cpp b/templates/scriptabletags/scriptablesafestring.cpp
index faf33694f60d29d003a8e68a81a5d72638aced1d..44b621a34de51b88272aba46ebdb236ffb39f9ed 100644
--- a/templates/scriptabletags/scriptablesafestring.cpp
+++ b/templates/scriptabletags/scriptablesafestring.cpp
@@ -22,7 +22,7 @@
 
 #include <QtScript/QScriptEngine>
 
-#include "util.h"
+#include "../lib/util.h"
 
 QScriptValue markSafeFunction(QScriptContext *context, QScriptEngine *engine)
 {
diff --git a/templates/tests/testdefaulttags.cpp b/templates/tests/testdefaulttags.cpp
index 52f8c90c383d49d39c2fbee160e1557029f583ae..0cb71715aac5d2f01f1f82aacc096f24274eab91 100644
--- a/templates/tests/testdefaulttags.cpp
+++ b/templates/tests/testdefaulttags.cpp
@@ -30,7 +30,7 @@
 #include "grantlee_paths.h"
 #include "metatype.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 typedef QList<QVariantList> Table;
 typedef QHash<QString, QVariant> Dict;
diff --git a/templates/tests/testinternationalization.cpp b/templates/tests/testinternationalization.cpp
index af7e5feb571d78a6e0e07cd3ed92af18c8ec74be..266ffcf1e534a6c18d83d00e5fab231943031505 100644
--- a/templates/tests/testinternationalization.cpp
+++ b/templates/tests/testinternationalization.cpp
@@ -22,7 +22,7 @@ ﻿/*
 #include "grantlee_paths.h"
 #include "nulllocalizer_p.h"
 #include "qtlocalizer.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include "coverageobject.h"
 #include <QtCore/QScopedPointer>
